Description

After upgrading to ruby 3 (Centos 9 - katello 4.12)  we get a number of errors related to content export.

hammer content-export complete repository  --id=1

Could not export the repository:

  wrong number of arguments (given 2, expected 1)

19:32:35 rails.1   | 2024-04-23T19:32:35 [I|app|66187527] Started POST "//katello/api/content_expo

rts/repository" for 127.0.0.1 at 2024-04-23 19:32:35 +0000

19:32:35 rails.1   | 2024-04-23T19:32:35 [I|app|66187527] Processing by Katello::Api::V2::ContentE

xportsController#repository as JSON

19:32:35 rails.1   | 2024-04-23T19:32:35 [I|app|66187527]   Parameters: {"id"=>1, "api_version"=>"

v2", "content_export"=>{"id"=>1}}

19:32:35 rails.1   | 2024-04-23T19:32:35 [D|app|66187527] Authenticated user admin against INTERNA

L authentication source

19:32:35 rails.1   | 2024-04-23T19:32:35 [D|app|66187527] Post-login processing for admin

19:32:35 rails.1   | 2024-04-23T19:32:35 [I|app|66187527] Authorized user admin(Admin User)

19:32:35 rails.1   | 2024-04-23T19:32:35 [D|app|66187527] Post-login processing for admin

19:32:35 rails.1   | 2024-04-23T19:32:35 [I|bac|66187527] Task {label: , execution_plan_id: ace548

15-9710-4a53-8fb7-beaabc2247ab} state changed: pending 

19:32:35 rails.1   | 2024-04-23T19:32:35 [I|bac|66187527] Task {label: Actions::Pulp3::Orchestrati

on::ContentViewVersion::ExportRepository, id: fdc35fe7-d9ee-4e3c-b5c7-90e52028e8d7, execution_plan

_id: ace54815-9710-4a53-8fb7-beaabc2247ab} state changed: planning 

19:32:35 rails.1   | 2024-04-23T19:32:35 [E|bac|66187527] wrong number of arguments (given 2, expe

cted 1) (ArgumentError)

19:32:35 rails.1   |  66187527 | /home/vagrant/katello/app/lib/actions/pulp3/orchestration/content

_view_version/export_repository.rb:6:in `plan'

19:32:35 rails.1   |  66187527 | /home/vagrant/foreman/.vendor/ruby/3.0.0/gems/dynflow-1.8.3/lib/d

ynflow/action.rb:534:in `block (3 levels) in execute_plan'

or

$ hammer content-export complete version  --id=3 --format=syncable

Could not export the content view version:

  500 Internal Server Error

19:34:08 rails.1   | 2024-04-23T19:34:08 [I|app|fdfbf480] Started POST "//katello/api/content_expo

rts/version" for 127.0.0.1 at 2024-04-23 19:34:08 +0000

19:34:08 rails.1   | 2024-04-23T19:34:08 [I|app|fdfbf480] Processing by Katello::Api::V2::ContentE

xportsController#version as */*

19:34:08 rails.1   | 2024-04-23T19:34:08 [I|app|fdfbf480]   Parameters: {"id"=>3, "api_version"=>"

v2", "content_export"=>{"id"=>3, "format"=>"syncable"}}

19:34:08 rails.1   | 2024-04-23T19:34:08 [D|app|fdfbf480] Authenticated user admin against INTERNA

L authentication source

19:34:08 rails.1   | 2024-04-23T19:34:08 [D|app|fdfbf480] Post-login processing for admin

19:34:08 rails.1   | 2024-04-23T19:34:08 [I|app|fdfbf480] Authorized user admin(Admin User)
19:34:08 rails.1   | 2024-04-23T19:34:08 [D|app|fdfbf480] Post-login processing for admin

19:34:08 rails.1   | 2024-04-23T19:34:08 [I|bac|fdfbf480] Task {label: , execution_plan_id: 44ad56

cc-d98b-48b8-928b-5c020e72bf82} state changed: pending 

19:34:08 rails.1   | 2024-04-23T19:34:08 [I|bac|fdfbf480] Task {label: Actions::Katello::ContentVi

ewVersion::Export, id: 085365a4-c406-4324-8afd-0953721559f1, execution_plan_id: 44ad56cc-d98b-48b8

-928b-5c020e72bf82} state changed: planning 

19:34:08 rails.1   | 2024-04-23T19:34:08 [E|bac|fdfbf480] wrong number of arguments (given 1, expe

cted 0; required keywords: content_view_version, smart_proxy, destination_server, from_content_vie

w_version) (ArgumentError)

19:34:08 rails.1   |  fdfbf480 | /home/vagrant/katello/app/lib/actions/pulp3/orchestration/content

_view_version/syncable_export.rb:19:in `plan'

19:34:08 rails.1   |  fdfbf480 | /home/vagrant/foreman/.vendor/ruby/3.0.0/gems/dynflow-1.8.3/lib/d

ynflow/action.rb:534:in `block (3 levels) in execute_plan'

 This error occurs for syncable exports and regular content repository exports in a ruby 3 environment.

History

#1 - 04/24/2024 05:48 PM - Ian Ballou

- Target version set to Katello 4.13.0

- Triaged changed from No to Yes

#2 - 04/24/2024 05:51 PM - Ian Ballou

- Difficulty set to easy

#3 - 04/30/2024 04:57 PM - Partha Aji

- Bugzilla link set to 2274152
